#!/bin/sh

echo "======= START of GLIB LIB (libglib-2.0.a) ======="
echo ""
echo ""

GLIB_BUILD_DIR=$(pwd)

if [ "$GLIB_BUILD_DIR" = "" ] || [ "$MIPS_LINUX" = "" ] || [ "$OPENSOURCE_DIR" = "" ]; then
echo "+++++++ export Error!!! +++++++"
echo "    export MIPS_LINUX is NULL"
echo "OR  export OPENSOURCE_DIR is NULL"
echo "OR  pwd command failed"
echo ""
else
echo "+++++++ configure +++++++"
echo ""
echo "./configure --prefix=$GLIB_BUILD_DIR --exec-prefix=$GLIB_BUILD_DIR --host=mips --enable-threads --enable-shared --with-libiconv=no --disable-dependency-tracking CC=${MIPS_LINUX}/mips-linux-gnu-gcc CXX=${MIPS_LINUX}/mips-linux-gnu-g++ CFLAGS=\"-Wall -O3 -fPIC -msoft-float -EL -mmemcpy\" glib_cv_stack_grows=no glib_cv_uscore=no ac_cv_func_posix_getpwuid_r=no ac_cv_func_posix_getgrgid_r=no"
./configure --prefix=$GLIB_BUILD_DIR --exec-prefix=$GLIB_BUILD_DIR --host=mips --enable-threads --enable-shared --with-libiconv=no --disable-dependency-tracking CC=${MIPS_LINUX}/mips-linux-gnu-gcc CXX=${MIPS_LINUX}/mips-linux-gnu-g++ CFLAGS="-Wall -O3 -fPIC -msoft-float -EL -mmemcpy" glib_cv_stack_grows=no glib_cv_uscore=no ac_cv_func_posix_getpwuid_r=no ac_cv_func_posix_getgrgid_r=no
if [ $? != 0 ]; then
echo "======> configure error"
exit 1
fi
echo ""
echo "+++++++ make clean +++++++"
echo ""
make clean
if [ $? != 0 ]; then
echo "======> make clean error"
exit 1
fi
echo ""
echo "+++++++ make all +++++++"
echo ""
make all
if [ $? != 0 ]; then
echo "======> make all error"
exit 1
fi
echo ""
echo "+++++++ make install +++++++"
echo ""
make install
if [ $? != 0 ]; then
echo "======> make install error"
exit 1
fi
echo ""
echo "+++++++ cp libglib-2.0.a +++++++"
echo ""
cp -vf ./lib/libglib-2.0.a $OPENSOURCE_DIR/OP_Product/Protocol/MMS/Lib/X5_VE/
cp -vf ./lib/libglib-2.0.a $OPENSOURCE_DIR/OP_Product/Protocol/MMS/Lib/X5/
cp -vf ./lib/libglib-2.0.a $OPENSOURCE_DIR/OP_Product/Protocol/MMS/Lib/X6/
fi
echo ""
echo "======= END of MMS LIB (libglib-2.0.a) ======="
echo ""

